GET /apis
Operation ID: getAllApIs
Auth: unknown
Description
This call fetches all the APIs present in the specified workspace Response contains an array named `apis` which would contain all the details of APIs present in the workspace. > Requires <a href="#authentication">API Key</a> as `X-Api-Key` request header or `apikey` URL query parameter.
Parameters (11)
(string, query, optional)
Only return APIs that have been created by the user ID represented by the given value.
(string, query, optional)
Only return APIs whose description includes the given value. Matching is case insensitive.
(string, query, optional)
The sorting direction, which can be ascending or descending. The value can be asc to specify an ascending direction or desc to specify a descending direction. If none is specified, the default sorting direction is descending for timestamp and numeric fields and ascending otherwise. An ID is not considered a numeric field.
(string, query, optional)
Only return APIs with the corresponding privacy state. Public APIs have the isPublic value true; private APIs have the isPublic value false.
(string, query, optional)
Only return APIs whose name includes the given value. Matching is case insensitive.
(string, query, optional)
Only return APIs that have been updated after this time. Time is represented using the ISO 8601 date and time format.
(string, query, optional)
The value of sort can be one of the names of the fields included in the response.
(string, query, optional)
Only return APIs whose summary includes the given value. Matching is case insensitive.
(string, query, optional)
Only return APIs that have been updated before this time. Time is represented using the ISO 8601 date and time format.
(string, query, optional)
Only return APIs that have been updated by the user ID represented by the given value.
(string, query, optional)
Only return APIs that are inside the given workspace.
No probe data for this endpoint yet.